﻿html, body, form{ height:100%;}
/* chathead css */
.chathead
{
    position: absolute;
    z-index: 9;
    margin: 5px;
    width: auto;
}

 
table.dataTable.select tbody tr,
table.dataTable thead th:first-child {
  cursor: pointer;
}
.chathead img
{
    width: 36px;
    height: 36px;
    border-radius: 75px;
    border: 3px solid #FFFFFF;
    box-shadow: 1px 1px 5px rgba(0, 0, 0, .5);
}
.chathead ul
{
    position: relative;
    z-index: 9;
    list-style-type: none;
    padding-left: 0px;
    margin: 0px;
    display: none;
}
 
#DialogBox_ShowImage_wrapper
{
    z-index: 100242 !important;
}
#DialogBox_ShowTravelledDetailsOnGoogleMap_wrapper
{
    z-index: 100008 !important;
}
 

.AccordionPanelTab a:link
{
    color: #fff;
    font-size:12px;
    font-weight:bold;
}


.AccordionPanelTab a:visited
{
    color: #ffffff;
      font-size:12px;
    font-weight:bold;
}


.AccordionPanelTab a:hover
{
    color: #ffffff;
      font-size:12px;
    font-weight:bold;
}


.XLProcessingProgressDiv
{
    border: 1px solid black;
    background-color: black;
    border-radius: 5px;
    position: absolute;
    top: 50%;
    left: 34%;
    font-weight: bold;
    width: 411px;
    font-size: 10px;
    padding: 5px;
    padding-right: 35px;
    color: white;
    font-weight: bold;
    text-align: center;
}

.XLProcessingProgressDivModal
{
    top: 0px;
    left: 0px;
    z-index: 99999999999999;
    position: absolute;
    height: 100%;
    width: 100%;
    opacity: 0.7;
    background-color: gray;
}



.fileUpload
{
    position: relative;
    overflow: hidden;
}
.fileUpload input.upload
{
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    padding: 0;
    font-size: 20px;
    cursor: pointer;
    opacity: 0;
    filter: alpha(opacity=0);
}

/*----------------- Class for search text box in google map start ------------------------- */
.controls
{
    margin-top: 16px;
    border: 1px solid transparent;
    border-radius: 2px 0 0 2px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    height: 32px;
    outline: none;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
    width: 300px;
}

#pac-input
{
    background-color: #fff;
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
    margin-left: 12px;
    padding: 0 11px 0 13px;
    text-overflow: ellipsis;
    width: 400px;
}
#pac-input:focus
{
    border-color: #4d90fe;
}

.pac-container
{
    font-family: Roboto;
    z-index: 200001 !important;
}
#type-selector
{
    color: #fff;
    background-color: #4d90fe;
    padding: 5px 11px 0px 11px;
}
#type-selector label
{
    font-family: Roboto;
    font-size: 13px;
    font-weight: 300;
}
/*----------------- Class for search text box in google map end------------------------- */
.pointer
{
    cursor: pointer;
}
.TimeSelector
{
    width: 56px;
    text-align: center;
    margin: 2px;
}
.timeEntry-control
{
    position: relative;
    top: 5px;
    margin-right: 5px;
}
sup
{
    font-size: 9px;
}

.Accept_Reject_image
{
    height: 25px;
}
#ddMarkderMovingSpeed
{
    padding: 1px;
    width: 50px;
    font-size: 11px;
}
#ddMarkderMovingSpeed option
{
    font-size: 11px;
}
.ShowSelectedIndexOnTraveledDetailMap
{
    cursor: pointer;
}
#table_map_data_view .scrollHere
{
  background: #666 !important; color: #51adec;
}

 

body
{
    font-size: 12px;
     font-family: 'Ubuntu', sans-serif!important;
}

a
{
    text-decoration: none;
    cursor: pointer;
    color: #333333;
}
.fa
{
    color: #000066;
}
html, body, form
{
    margin-left: 0px;
    margin-top: 0px;
    margin-right: 0px;
    margin-bottom: 0px;
    height: 100%;
    
   
    overflow:hidden;
}

#map-canvas
{
    height: 100%;
    margin: 0px;
    padding: 0px;
}

.OpenChatHistory
{
    cursor: pointer;
}
input[type=text], select, textarea
{
    padding: 6px;
}
.CloseBtnChatWindow
{
   padding:2px 8px;
    position: absolute;
    right: -10px;
    top:-10px;
    cursor: pointer;
    color :#F0F4F5;
    font-size:18px;background:red; border-radius:100%;
   /* background: rgba(241,231,103,1);
    background: -moz-radial-gradient(center, ellipse cover, rgba(241,231,103,1) 0%, rgba(254,182,69,1) 100%);
    background: -webkit-gradient(radial, center center, 0px, center center, 100%, color-stop(0%, rgba(241,231,103,1)), color-stop(100%, rgba(254,182,69,1)));
    background: -webkit-radial-gradient(center, ellipse cover, rgba(241,231,103,1) 0%, rgba(254,182,69,1) 100%);
    background: -o-radial-gradient(center, ellipse cover, rgba(241,231,103,1) 0%, rgba(254,182,69,1) 100%);
    background: -ms-radial-gradient(center, ellipse cover, rgba(241,231,103,1) 0%, rgba(254,182,69,1) 100%);
    background: radial-gradient(ellipse at center, rgba(241,231,103,1) 0%, rgba(254,182,69,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f1e767', endColorstr='#feb645', GradientType=1 );
    color: #000000;
    font-weight: 600;
    border-radius: 100%;
    padding: 1px 6px 1px 6px;
    border: 1px solid #ffffff;*/
}
.CloseBtnChatWindow:hover
{
	background:#333;
}






.closeAlert
{
    position: inherit;
    float: right;
    text-transform: uppercase;
    cursor: pointer;
    margin: 2px 4px;
    background: tranparent;
    font-weight: bold;
    font-size: 11px;
}
.MessageDiv
{
    border-radius: 5px;
    background-color: White;
    margin: 6px;
}
.MessageDiv li
{
    font-size: 14px;
}
.MessageDiv ul
{
    margin: 5px 26px;
    padding-left: 0px;
}
.MessageDiv span
{
    color: rgb(102, 102, 102);
}
.ErrorMessage
{
    border: 1px solid red;
}
.ErrorMessage li
{
    color: red;
}

.DisableBackground
{
    background-color: rgb(205, 205, 205) !important;
}

.SuccessMessage
{
    border: 1px solid teal;
}
.SuccessMessage li
{
    color: teal;
}
.InformationMessage
{
    border: 1px solid rgb(54, 147, 119);
}
.InformationMessage li
{
    color: rgb(54, 147, 119);
}

/* ----------------------------------------------------------  */

.gridViewSelectedRow
{
   background: #666 !important;  
}

.gridview
{
    border: 1px solid #ffffff;
    width: 100%;
    font-family: Arial, Helvetica;
    font-size: 12px;
    text-decoration: none;
    text-align: center;
    color: #666;
    font-weight: normal;
}

.gridview a
{
    text-decoration: none;
    color: rgb(19, 165, 223);
    font-weight: bold;
}
.gridview tr th
{
    background-color: #edeeef;
    color: #333;
    height: 25px;
    font-size: 14px;
    line-height: 14px;
    text-decoration: none;
    text-align: center;
    font-weight: bold;
}
.gridview tr td
{
    padding: 4px;
}
.gridview tr, .gridview tr td, .gridview tr th
{
    border: 1px solid #c7c7c7;
    text-align: center;
    padding: 4px;
    min-height: 60px;
}

.gridview tr:nth-child(even)
{
    background-color: #f7f7f7;
    color: #000;
    text-align: center;
    font-size: 12px;
    padding: 5px 2px 5px 2px;
}
.gridview tr:nth-child(even):hover
{
    background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #eef7ff), color-stop(1, #bbe0ff) );
    background: -moz-linear-gradient( center top,  #eef7ff 5%, #bbe0ff 100% );
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=' #eef7ff', endColorstr='#bbe0ff');
    background-color: #525353;
    color: #000;
    text-align: center;
    font-size: 12px;
    padding: 5px 2px 5px 2px;
}

.gridview tr:nth-child(odd)
{
    background-color: #ffffff;
    color: #000;
    text-align: center;
    font-size: 12px;
    padding: 5px 2px 5px 2px;
}

.gridview tr:nth-child(odd):hover
{
    background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #eef7ff), color-stop(1, #bbe0ff) );
    background: -moz-linear-gradient( center top,  #eef7ff 5%, #bbe0ff 100% );
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=' #eef7ff', endColorstr='#bbe0ff');
    background-color: #525353;
    color: #000;
    text-align: center;
    font-size: 12px;
    padding: 5px 2px 5px 2px;
}
/* -------------------------------------------------------------------- */
.gridViewDvSelectedRow
{
    background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #eef7ff), color-stop(1, #bbe0ff) );
    background: -moz-linear-gradient( center top,  #eef7ff 5%, #bbe0ff 100% );
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=' #eef7ff', endColorstr='#bbe0ff');
    background-color: #525353;
    color: #000;
}
.gridviewDv
{
   
    font-family: Arial, Helvetica;
    font-size: 10px;
    text-decoration: none;
    text-align: center;
    color: #333;
    font-weight: normal;
}

.gridviewDv a
{
    text-decoration: none;
    color: rgb(19, 165, 223);
    font-weight: bold;
}
.gridviewDv tr th
{
    background-color: #edeeef;
    color: #333;
   
    font-size: 10px;
   
    text-decoration: none;
    text-align: center;
    font-weight: bold;
    padding:3px;
}
.gridviewDv tr td
{
    padding: 0px;
}
.gridviewDv tr, .gridviewDv tr td, .gridviewDv tr th
{
    
    text-align: center;
    border:1px solid #cccccc;
    
}

.gridviewDv tr:nth-child(even)
{
    background-color: #f7f7f7;
    color: #000;
     
}
.gridviewDv tr:nth-child(even):hover
{
    background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #eef7ff), color-stop(1, #bbe0ff) );
    background: -moz-linear-gradient( center top,  #eef7ff 5%, #bbe0ff 100% );
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=' #eef7ff', endColorstr='#bbe0ff');
    background-color: #525353;
    color: #000;
    
}

.gridviewDv tr:nth-child(odd)
{
    background-color: #ffffff;
    color: #000;
    
}

.gridviewDv tr:nth-child(odd):hover
{
    background: -webkit-gradient( linear, left top, left bottom, color-stop(0.05, #eef7ff), color-stop(1, #bbe0ff) );
    background: -moz-linear-gradient( center top,  #eef7ff 5%, #bbe0ff 100% );
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=' #eef7ff', endColorstr='#bbe0ff');
    background-color: #525353;
    color: #000;
    
}
/* -------------------------------------------------------------------- */
table.dataTable tbody th, table.dataTable tbody td{ padding:0px;}
.dataTables_wrapper .dataTables_paginate .paginate_button{ padding:3px 10px;background:#eeeeee;}
table.dataTable thead th, table.dataTable thead td{ padding:4px;}
.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover{background:inherit;}
table.dataTable thead th, table.dataTable thead td{border-bottom:none;}
table.dataTable.no-footer{border:none;}
 
 table.dataTable td { margin : 2px;}

.gridviewDv tr, .gridviewDv tr td, .gridviewDv tr th{ border:1px solid #dddddd !important; border-top:none !important; border-left:none !important;}

.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover{ border:1px solid #dddddd !important; }

 
    /* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 46px;
  height: 20px;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 2px;
  bottom: 2px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #000066;
}

input:focus + .slider {
  box-shadow: 0 0 1px #000066;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 24px;
}

.slider.round:before {
  border-radius: 50%;
}

/*
#NtAsgndZnSendZoneRqest li {
    list-style:none;    
    padding: 5px 10px;
    border: 1px solid #eee;
}
*/

.ret-txt
{
    width:100%!important;
    margin:5px 0;
    border:1px solid #ccc!important;
    border-radius:2px;
    }